com.microfocus.awm.meta.internal

## Class InitializeIndependentAffectedResourceContextsAttribute

- java.lang.Object
- - com.microfocus.awm.meta.internal.InitializeIndependentAffectedResourceContextsAttribute

- All Implemented Interfaces:
    IPostLoadModelModification

      public class InitializeIndependentAffectedResourceContextsAttribute
      extends java.lang.Object
      implements IPostLoadModelModification

  Initializes the value of attribute `TaurusPackage.APPLICATION_OPTIONS__INDEPENDENT_AFFECTED_RESOURCE_CONTEXTS` based on the loaded model(s).

  The attribute's value will be set to `false` for all models created with AWM client versions before V3.0, unless it has been explicitly set already.

  Author:
    RalfP
  See Also:
    `ApplicationOptions.isSetIndependentAffectedResourceContexts()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitializeIndependentAffectedResourceContextsAttribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyModification(TaurusResourceImpl pLoadedResource)` Applies intended modification (if applicable for the loaded resource).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InitializeIndependentAffectedResourceContextsAttribute

          public InitializeIndependentAffectedResourceContextsAttribute()

  - ### Method Detail

    - #### applyModification

          public void applyModification(TaurusResourceImpl pLoadedResource)
                                 throws java.lang.Exception

      Description copied from interface: `IPostLoadModelModification`
      Applies intended modification (if applicable for the loaded resource).
      Specified by:
        `applyModification` in interface `IPostLoadModelModification`
      Parameters:
        `pLoadedResource` - the resource that has recently been loaded
      Throws:
        `java.lang.Exception`

Copyright © 2015 Micro Focus GmbH. All rights reserved.